# WOK
TKWOK
WOKStep

# WOKStep_LibLink Class Reference

`#include <WOKStep_LibLink.hxx>`

Inheritance diagram for WOKStep_LibLink:

[legend]

## Public Member Functions

Standard_EXPORT | WOKStep_LibLink (const Handle(WOKMake_BuildProcess)&abp, const Handle(WOKernel_DevUnit)&aunit, const Handle(TCollection_HAsciiString)&acode, const Standard_Boolean checked, const Standard_Boolean hidden)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

virtual Standard_EXPORT void | Execute (const Handle(WOKMake_HSequenceOfInputFile)&execlist)
| Executes step Computes output files .

## Constructor & Destructor Documentation

Standard_EXPORT WOKStep_LibLink::WOKStep_LibLink | ( | const Handle(WOKMake_BuildProcess)& | abp,
|  | const Handle(WOKernel_DevUnit)& | aunit,
|  | const Handle(TCollection_HAsciiString)& | acode,
|  | const Standard_Boolean | checked,
|  | const Standard_Boolean | hidden
| ) |

## Member Function Documentation

virtual Standard_EXPORT void WOKStep_LibLink::Execute | ( | const Handle(WOKMake_HSequenceOfInputFile)& | execlist | ) | `[private, virtual]`

| Implements WOKMake_Step.

Standard_EXPORT const WOKStep_LibLink::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKStep_Link.

The documentation for this class was generated from the following file:

- WOKStep_LibLink.hxx